# OSGeo::FDO::Commands::UnitOfMeasure::ICreateMeasureUnitImp Class Reference
[OSGeo::FDO::Commands::UnitOfMeasure]

Inheritance diagram for OSGeo::FDO::Commands::UnitOfMeasure::ICreateMeasureUnitImp:

[legend]

List of all members.

## Detailed Description

The ICreateMeasureUnitImp class is a concrete implementation of ICreateMeasureUnit. The ICreateMeasureUnit interface defines the CreateMeasureUnit command, which creates or updates a measurement unit. Input to the command includes the abbreviation, name, description, measure type, base unit, and scale factor that defines the measure unit. The update existing flag indicates how the command should behave in the presence of an existing measure unit. If it is false, and the specified measure unit already exists, command execution will fail. If it is true, the command will either create a new measure unit or update an existing one.

()

## Public Member Functions
System::Void | Execute ()
| Executes the CreateMeasureUnit command. If the measure unit already exists and the update existing flag is set to false, an exception is thrown.
__property System::String * | get_Abbreviation ()
| Gets the abbreviation of the measure unit to create or update as a string. Abbreviations must be unique because they define the identity of a measurement unit.
__property OSGeo::FDO::Commands::UnitOfMeasure::BaseUnit | get_BaseUnit ()
| Gets the base units that define the measure unit to create or update as an BaseUnit value.
__property System::String * | get_Description ()
| Gets the description of the measure unit to create or update as a string.
__property System::String * | get_Name ()
| Gets the name of the measure unit to create or update as a string.
__property System::Double | get_ScaleFactor ()
| Gets the scale factor to be applied to the base unit in order to get one of the units being defined.
__property System::Boolean | get_UpdateExisting ()
| Gets a Boolean flag that indicates how the CreateMeasureUnit command should behave if the measure unit already exists. If update existing is true and a measure unit with the specified abbreviation already exists then it will be updated. If update existing is false and a measure unit with the specified abbreviation already exists, command execution will fail.
__property System::Void | set_Abbreviation (System::String *value)
| Sets the abbreviation of the measure unit to create or update as a string. Abbreviations must be unique because they define the identity of a measurement unit.
__property System::Void | set_BaseUnit (OSGeo::FDO::Commands::UnitOfMeasure::BaseUnit value)
| Sets the base units that define the measure unit to create or update as an BaseUnit value.
__property System::Void | set_Description (System::String *value)
| Sets the description of the measure unit to create or update as a string.
__property System::Void | set_Name (System::String *value)
| Sets the name of the measure unit to create or update as a string.
__property System::Void | set_ScaleFactor (System::Double value)
| Sets the scale factor to be applied to the base unit in order to get one of the units being defined.
__property System::Void | set_UpdateExisting (System::Boolean value)
| Sets a Boolean flag that indicates how the CreateMeasureUnit command should behave if the measure unit already exists. If update existing is true and a measure unit of the specified name already exists, it will be updated. If update existing is false and a measure unit of the specified name already exists, command execution will fail.